Subject: [PATCH] arm64: spinlock: serialise spin_unlock_wait against concurrent lockers

From: [email-masked] (Paul E. McKenney)
Date: Fri, 4 Dec 2015 08:13:55 -0800

On Fri, Dec 04, 2015 at 10:36:26AM +0100, Peter Zijlstra wrote:
> On Thu, Dec 03, 2015 at 09:22:07AM -0800, Paul E. McKenney wrote:
> > On the added MBs,
> > the only alternative I have been able to come up with has even more MBs,
> > as in on every lock acquisition.  If I am missing something, please do
> > not keep it a secret!
> 
> You're right. And I suppose mpe is still on the fence wrt switching PPC
> over to RCsc lock order.. which would be all those extra MBs you talk
> about.

Yes, I would like to avoid forcing that choice on him.

							Thanx, Paul